Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## nat
Class ConfigNat

    java.lang.Object
      nat.ConfigNat

All Implemented Interfaces:
  java.io.Serializable

    public class ConfigNat

extends java.lang.Object
implements java.io.Serializable

Cette classe contient l'ensemble des paramètres de configuration de NAT et gère la sauvegarde et la récupération des différentes configurations

Author:
  Bruno Mascret
See Also:
  Serialized Form

Field Summary
`private boolean` | `abrege_Maths` vrai si utilisation de l'abrégé pour les mathématiques
`private boolean` | `abreger` vrai si on utilise l'abrégé
`private boolean` | `afficheLigneSecondaire` vrai si affichage de la zone de texte secondaire de l'éditeur
`private boolean` | `brailleLit` vrai si traitement des expressions littéraires
`private boolean` | `brailleMath` vrai si traitement des expressions mathématiques (en MathMl)
`private boolean` | `brailleMusic` vrai si traitement des expressions musicales (en MusicML)
`private java.lang.String` | `commandeEmb` commande système pour lancer l'impression; $f représente le fichier
`private boolean` | `coupe_lit` à implémenter: vrai si il faut gérer la coupure
`private boolean` | `coupe_Maths` à implémenter: vrai si utilisation de la coupure mathématique
`private java.lang.String` | `deb_Doc` inutilisé: chaîne à ajouter en début de document
`private java.lang.String` | `deb_Lit` inutilisé: chaîne à ajouter en début d'un contenu littéraire
`private java.lang.String` | `deb_Maths` inutilisé: chaîne à ajouter en début d'un contenu mathématique
`private java.lang.String` | `deb_Musique` inutilisé: chaîne à ajouter en début d'un contenu musical
`private java.lang.String` | `deb_Paragraphe` inutilisé: chaîne à ajouter en début de paragraphe
`private java.lang.String` | `DTD` adresse de la dtd à utiliser
`private java.lang.String` | `editeur` adresse du programme d'édition à utiliser; null si éditeur intégré
`private java.lang.String` | `fcible` adresse du dernier fichier cible (sortie) utilisé
`private java.lang.String` | `fichierConf` Le fichier contenant la configuration
`private java.lang.String` | `fin_Doc` inutilisé: chaîne à ajouter en fin de document
`private java.lang.String` | `fin_Lit` inutilisé: chaîne à ajouter à la fin d'un contenu littéraire
`private java.lang.String` | `fin_Maths` inutilisé: chaîne à ajouter à la fin d'un contenu mathématique
`private java.lang.String` | `fin_Musique` inutilisé: chaîne à ajouter à la fin d'un contenu musical
`private java.lang.String` | `fin_Paragraphe` inutilisé: chaîne à ajouter en début de paragraphe
`private java.lang.String` | `fsource` adresse du dernier fichier source utilisé
`private int` | `longueurLigne` longueur de la ligne braille (pour l'éditeur et les périphériques braille)
`private int` | `niveauLog` niveau de verbosité des messages
`private java.lang.String` | `os` nom du système d'exploitation, utilisé pour fabriquer le script d'embossage
`private boolean` | `ouvreEditeurApresTranscription` ouvre l'éditeur intégré de NAT si vrai
`private java.lang.String` | `policeEditeur` nom de la police de caractères à utiliser dans l'éditeur intégré
`private java.lang.String` | `policeEditeur2` nom de la police de caractères à utiliser dans la zone secondaire de l'éditeur
`private java.lang.String` | `printService` nom du service d'impression
`private static long` | `serialVersionUID` serial version UID
`private java.lang.String` | `sortieEncoding` encoding du fichier de sortie
`private java.lang.String` | `sourceEncoding` encoding du fichier source
`private java.lang.String` | `tableBraille` nom de la table braille du système (sans l'extension .ent)
`private java.lang.String` | `tableEmbossage` adresse de la table braille pour l'embossage
`private int` | `taillePolice` taille en points de la police principale de l'éditeur
`private int` | `taillePolice2` taille en points de la police de la zone secondaire de l'éditeur
`private boolean` | `utiliserCommandeEmbossage` vrai si utilisation d'une commande pour embosser
`private boolean` | `utiliserEmbosseuse` vrai si utilisation directe d'un périphérique pour embosser
`private java.lang.String` | `version` Numéro de version
`private java.lang.String` | `versionLong` Nom de version long
`private java.lang.String` | `XSL` adresse du fichier xsl du système
`private java.lang.String` | `XSL_g1` nom de la feuille xsl pour le français intégral (à installer dans le répertoire xsl)
`private java.lang.String` | `XSL_g2` nom de la feuille xsl pour le français abrégé (à installer dans le répertoire xsl)
`private java.lang.String` | `XSL_Maths` nom de la feuille xsl pour les maths françaises (à installer dans le répertoire xsl)
`private java.lang.String` | `XSL_Musique` nom de la feuille xsl pour la musique (à installer dans le répertoire xsl)

Constructor Summary
`ConfigNat(java.lang.String fconf)` Constructeur

Method Summary
`static ConfigNat` | `Charger(java.lang.String fconf)` Crée une configuration à partir du fichier sérialisé fconf
`boolean` | `getAbreger()` méthode d'accès
`boolean` | `getAfficheLigneSecondaire()` méthode d'accès
`java.lang.String` | `getCommande()` méthode d'accès
`java.lang.String` | `getDTD()` méthode d'accès
`java.lang.String` | `getEditeur()` méthode d'accès
`java.lang.String` | `getFcible()` méthode d'accès
`java.lang.String` | `getFichierConf()` méthode d'accès
`java.lang.String` | `getFsource()` méthode d'accès
`int` | `getLongueurLigne()` méthode d'accès
`int` | `getNiveauLog()` méthode d'accès
`java.lang.String` | `getOs()` méthode d'accès
`boolean` | `getOuvrirEditeur()` méthode d'accès
`java.lang.String` | `getPolice2Editeur()` méthode d'accès
`java.lang.String` | `getPoliceEditeur()` méthode d'accès
`java.lang.String` | `getPrintservice()` méthode d'accès
`java.lang.String` | `getSortieEncoding()` méthode d'accès
`java.lang.String` | `getSourceEncoding()` méthode d'accès
`java.lang.String` | `getTableBraille()` méthode d'accès
`java.lang.String` | `getTableEmbossage()` méthode d'accès
`int` | `getTaillePolice()` méthode d'accès
`int` | `getTaillePolice2()` méthode d'accès
`boolean` | `getTraiterLiteraire()` méthode d'accès
`boolean` | `getTraiterMaths()` méthode d'accès
`boolean` | `getTraiterMusique()` méthode d'accès
`boolean` | `getUtiliserCommandeEmbossage()` méthode d'accès
`boolean` | `getUtiliserEmbosseuse()` méthode d'accès
`java.lang.String` | `getVersion()` méthode d'accès
`java.lang.String` | `getVersionLong()` méthode d'accès
`java.lang.String` | `getXSL_g1()` méthode d'accès
`java.lang.String` | `getXSL_g2()` méthode d'accès
`java.lang.String` | `getXSL_maths()` méthode d'accès
`java.lang.String` | `getXSL_musique()` méthode d'accès
`java.lang.String` | `getXSL()` méthode d'accès
`void` | `Sauvegarder()` Enregistre la configuration par serialisation dans le fichier `fichierConf`
`void` | `setAbreger(boolean a)` méthode d'accès
`void` | `setAfficheLigneSecondaire(boolean als)` méthode d'accès
`void` | `setCommande(java.lang.String c)` méthode d'accès
`void` | `setFcible(java.lang.String fc)` méthode d'accès
`void` | `setFichierConf(java.lang.String f)` méthode d'accès
`void` | `setFsource(java.lang.String fs)` méthode d'accès
`void` | `setLongueurLigne(int lg)` méthode d'accès
`void` | `setNiveauLog(int nl)` méthode d'accès
`void` | `setOs(java.lang.String o)` méthode d'accès
`void` | `setOuvreEditeurApresTranscription(boolean o)` méthode d'accès
`void` | `setPolice2Editeur(java.lang.String pe2)` méthode d'accès
`void` | `setPoliceEditeur(java.lang.String pe)` méthode d'accès
`void` | `setPrintService(java.lang.String ps)` méthode d'accès
`void` | `setSortieEncoding(java.lang.String se)` méthode d'accès
`void` | `setSourceEncoding(java.lang.String se)` méthode d'accès
`void` | `setTableBraille(java.lang.String tb)` Met à jour le nom de la table braille et copie la nouvelle table dans le fichier Brltab.ent méthode d'accès
`void` | `setTableEmbossage(java.lang.String te)` méthode d'accès
`void` | `setTaillePolice(int t)` méthode d'accès
`void` | `setTaillePolice2(int tp2)` méthode d'accès
`void` | `setTraiterLiteraire(boolean l)` méthode d'accès
`void` | `setTraiterMaths(boolean m)` méthode d'accès
`void` | `setTraiterMusique(boolean m)` méthode d'accès
`void` | `setUtiliserCommandeEmbossage(boolean uce)` méthode d'accès
`void` | `setUtiliserEmbosseuse(boolean ue)` méthode d'accès

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### serialVersionUID

    private static final long serialVersionUID

  serial version UID

  See Also:
    Constant Field Values

### fichierConf

    private java.lang.String fichierConf

  Le fichier contenant la configuration

### version

    private final java.lang.String version

  Numéro de version

  See Also:
    Constant Field Values

### versionLong

    private final java.lang.String versionLong

  Nom de version long

  See Also:
    Constant Field Values

### fsource

    private java.lang.String fsource

  adresse du dernier fichier source utilisé

### fcible

    private java.lang.String fcible

  adresse du dernier fichier cible (sortie) utilisé

### sourceEncoding

    private java.lang.String sourceEncoding

  encoding du fichier source

### sortieEncoding

    private java.lang.String sortieEncoding

  encoding du fichier de sortie

### DTD

    private java.lang.String DTD

  adresse de la dtd à utiliser

### tableBraille

    private java.lang.String tableBraille

  nom de la table braille du système (sans l'extension .ent)

### brailleMath

    private boolean brailleMath

  vrai si traitement des expressions mathématiques (en MathMl)

### brailleLit

    private boolean brailleLit

  vrai si traitement des expressions littéraires

### brailleMusic

    private boolean brailleMusic

  vrai si traitement des expressions musicales (en MusicML)

### XSL

    private java.lang.String XSL

  adresse du fichier xsl du système

### deb_Doc

    private java.lang.String deb_Doc

  inutilisé: chaîne à ajouter en début de document

### fin_Doc

    private java.lang.String fin_Doc

  inutilisé: chaîne à ajouter en fin de document

### deb_Paragraphe

    private java.lang.String deb_Paragraphe

  inutilisé: chaîne à ajouter en début de paragraphe

### fin_Paragraphe

    private java.lang.String fin_Paragraphe

  inutilisé: chaîne à ajouter en début de paragraphe

### longueurLigne

    private int longueurLigne

  longueur de la ligne braille (pour l'éditeur et les périphériques braille)

### XSL_g1

    private java.lang.String XSL_g1

  nom de la feuille xsl pour le français intégral (à installer dans le répertoire xsl)

### XSL_g2

    private java.lang.String XSL_g2

  nom de la feuille xsl pour le français abrégé (à installer dans le répertoire xsl)

### abreger

    private boolean abreger

  vrai si on utilise l'abrégé

### coupe_lit

    private boolean coupe_lit

  à implémenter: vrai si il faut gérer la coupure

### deb_Lit

    private java.lang.String deb_Lit

  inutilisé: chaîne à ajouter en début d'un contenu littéraire

### fin_Lit

    private java.lang.String fin_Lit

  inutilisé: chaîne à ajouter à la fin d'un contenu littéraire

### XSL_Maths

    private java.lang.String XSL_Maths

  nom de la feuille xsl pour les maths françaises (à installer dans le répertoire xsl)

### XSL_Musique

    private java.lang.String XSL_Musique

  nom de la feuille xsl pour la musique (à installer dans le répertoire xsl)

### deb_Maths

    private java.lang.String deb_Maths

  inutilisé: chaîne à ajouter en début d'un contenu mathématique

### fin_Maths

    private java.lang.String fin_Maths

  inutilisé: chaîne à ajouter à la fin d'un contenu mathématique

### coupe_Maths

    private boolean coupe_Maths

  à implémenter: vrai si utilisation de la coupure mathématique

### abrege_Maths

    private boolean abrege_Maths

  vrai si utilisation de l'abrégé pour les mathématiques

### deb_Musique

    private java.lang.String deb_Musique

  inutilisé: chaîne à ajouter en début d'un contenu musical

### fin_Musique

    private java.lang.String fin_Musique

  inutilisé: chaîne à ajouter à la fin d'un contenu musical

### ouvreEditeurApresTranscription

    private boolean ouvreEditeurApresTranscription

  ouvre l'éditeur intégré de NAT si vrai

### policeEditeur

    private java.lang.String policeEditeur

  nom de la police de caractères à utiliser dans l'éditeur intégré

### policeEditeur2

    private java.lang.String policeEditeur2

  nom de la police de caractères à utiliser dans la zone secondaire de l'éditeur

### editeur

    private java.lang.String editeur

  adresse du programme d'édition à utiliser; null si éditeur intégré

### taillePolice

    private int taillePolice

  taille en points de la police principale de l'éditeur

### taillePolice2

    private int taillePolice2

  taille en points de la police de la zone secondaire de l'éditeur

### afficheLigneSecondaire

    private boolean afficheLigneSecondaire

  vrai si affichage de la zone de texte secondaire de l'éditeur

### niveauLog

    private int niveauLog

  niveau de verbosité des messages

  See Also:
    `Nat.LOG_NORMAL`, `Nat.LOG_SILENCIEUX`, `Nat.LOG_VERBEUX`

### tableEmbossage

    private java.lang.String tableEmbossage

  adresse de la table braille pour l'embossage

### os

    private java.lang.String os

  nom du système d'exploitation, utilisé pour fabriquer le script d'embossage

### commandeEmb

    private java.lang.String commandeEmb

  commande système pour lancer l'impression; $f représente le fichier

### utiliserCommandeEmbossage

    private boolean utiliserCommandeEmbossage

  vrai si utilisation d'une commande pour embosser

### utiliserEmbosseuse

    private boolean utiliserEmbosseuse

  vrai si utilisation directe d'un périphérique pour embosser

### printService

    private java.lang.String printService

  nom du service d'impression

Constructor Detail

### ConfigNat

    public ConfigNat(java.lang.String fconf)

  Constructeur

  Parameters:
    `fconf` - un objet `String` représentant l'adresse du fichier contenant la configuration

Method Detail

### getVersionLong

    public java.lang.String getVersionLong()

  méthode d'accès

  Returns:
    le nom long de la version

### getVersion

    public java.lang.String getVersion()

  méthode d'accès

  Returns:
    le numéro de la version

### getSourceEncoding

    public java.lang.String getSourceEncoding()

  méthode d'accès

### setSourceEncoding

    public void setSourceEncoding(java.lang.String se)

  méthode d'accès

### getSortieEncoding

    public java.lang.String getSortieEncoding()

  méthode d'accès

### setSortieEncoding

    public void setSortieEncoding(java.lang.String se)

  méthode d'accès

### getFsource

    public java.lang.String getFsource()

  méthode d'accès

### setFsource

    public void setFsource(java.lang.String fs)

  méthode d'accès

### getFcible

    public java.lang.String getFcible()

  méthode d'accès

### setFcible

    public void setFcible(java.lang.String fc)

  méthode d'accès

### getDTD

    public java.lang.String getDTD()

  méthode d'accès

### getXSL

    public java.lang.String getXSL()

  méthode d'accès

### getTableBraille

    public java.lang.String getTableBraille()

  méthode d'accès

### setTableBraille

    public void setTableBraille(java.lang.String tb)

  Met à jour le nom de la table braille et copie la nouvelle table dans le fichier Brltab.ent méthode d'accès

  Parameters:
    `tb` - le nom de la table braille à utiliser
  Throws:
    `java.io.IOException` - Erreur d'entrée sortie lors de la lecture de la table ou de la copie

### getAbreger

    public boolean getAbreger()

  méthode d'accès

### setAbreger

    public void setAbreger(boolean a)

  méthode d'accès

### getTraiterMaths

    public boolean getTraiterMaths()

  méthode d'accès

### setTraiterMaths

    public void setTraiterMaths(boolean m)

  méthode d'accès

### getTraiterLiteraire

    public boolean getTraiterLiteraire()

  méthode d'accès

### setTraiterLiteraire

    public void setTraiterLiteraire(boolean l)

  méthode d'accès

### getTraiterMusique

    public boolean getTraiterMusique()

  méthode d'accès

### setTraiterMusique

    public void setTraiterMusique(boolean m)

  méthode d'accès

### setLongueurLigne

    public void setLongueurLigne(int lg)

  méthode d'accès

### getLongueurLigne

    public int getLongueurLigne()

  méthode d'accès

### getXSL_g1

    public java.lang.String getXSL_g1()

  méthode d'accès

### getXSL_g2

    public java.lang.String getXSL_g2()

  méthode d'accès

### getXSL_maths

    public java.lang.String getXSL_maths()

  méthode d'accès

### getXSL_musique

    public java.lang.String getXSL_musique()

  méthode d'accès

### setOuvreEditeurApresTranscription

    public void setOuvreEditeurApresTranscription(boolean o)

  méthode d'accès

### getOuvrirEditeur

    public boolean getOuvrirEditeur()

  méthode d'accès

### setPoliceEditeur

    public void setPoliceEditeur(java.lang.String pe)

  méthode d'accès

### getPoliceEditeur

    public java.lang.String getPoliceEditeur()

  méthode d'accès

### setPolice2Editeur

    public void setPolice2Editeur(java.lang.String pe2)

  méthode d'accès

### getPolice2Editeur

    public java.lang.String getPolice2Editeur()

  méthode d'accès

### setTaillePolice2

    public void setTaillePolice2(int tp2)

  méthode d'accès

### getTaillePolice2

    public int getTaillePolice2()

  méthode d'accès

### getTaillePolice

    public int getTaillePolice()

  méthode d'accès

### setTaillePolice

    public void setTaillePolice(int t)

  méthode d'accès

### getAfficheLigneSecondaire

    public boolean getAfficheLigneSecondaire()

  méthode d'accès

### setAfficheLigneSecondaire

    public void setAfficheLigneSecondaire(boolean als)

  méthode d'accès

### getEditeur

    public java.lang.String getEditeur()

  méthode d'accès

### setFichierConf

    public void setFichierConf(java.lang.String f)

  méthode d'accès

### getFichierConf

    public java.lang.String getFichierConf()

  méthode d'accès

### setNiveauLog

    public void setNiveauLog(int nl)

  méthode d'accès

### getNiveauLog

    public int getNiveauLog()

  méthode d'accès

### setTableEmbossage

    public void setTableEmbossage(java.lang.String te)

  méthode d'accès

### getTableEmbossage

    public java.lang.String getTableEmbossage()

  méthode d'accès

### setOs

    public void setOs(java.lang.String o)

  méthode d'accès

### getOs

    public java.lang.String getOs()

  méthode d'accès

### setCommande

    public void setCommande(java.lang.String c)

  méthode d'accès

### getCommande

    public java.lang.String getCommande()

  méthode d'accès

### getUtiliserCommandeEmbossage

    public boolean getUtiliserCommandeEmbossage()

  méthode d'accès

### setUtiliserCommandeEmbossage

    public void setUtiliserCommandeEmbossage(boolean uce)

  méthode d'accès

### getUtiliserEmbosseuse

    public boolean getUtiliserEmbosseuse()

  méthode d'accès

### setUtiliserEmbosseuse

    public void setUtiliserEmbosseuse(boolean ue)

  méthode d'accès

### getPrintservice

    public java.lang.String getPrintservice()

  méthode d'accès

### setPrintService

    public void setPrintService(java.lang.String ps)

  méthode d'accès

### Sauvegarder

    public void Sauvegarder()

  Enregistre la configuration par serialisation dans le fichier `fichierConf`

  Throws:
    `java.io.IOException` - Erreur d'écriture lors de la sérialisation
  See Also:
    `Serializable`

### Charger

    public static ConfigNat Charger(java.lang.String fconf)

  Crée une configuration à partir du fichier sérialisé fconf

  Parameters:
    `fconf` -
  Returns:
    Un objet `ConfigNat` créé à partir de fconf
  Throws:
    `java.io.IOException` - Erreur E/S lors de la lecture du fichier fconf
    `java.lang.ClassNotFoundException` - Erreur lors du cast de la sortie de `ObjectInputStream.readObject()`
  See Also:
    `Serializable`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD